/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.mitre.test.newsessionbeanproxy;

import javax.ejb.EJB;
import javax.naming.InitialContext;
import org.mitre.test.newsessionbean.NewSessionBeanRemote;

/**
 *
 * @author GQUINN
 */
public class NewSessionBeanProxy {
    @EJB NewSessionBeanRemote mSessionBean = null;

    //private static final String EJB_JNDI_NAME = "java:global/CDIEAR/CDIEAR-ejb/NewSessionBean!org.mitre.test.newsessionbean.NewSessionBeanRemote";
    //private static final String EJB_JNDI_NAME = "java:global/CDIEAR-war/NewSessionBean!org.mitre.test.newsessionbean.NewSessionBeanRemote";
    private static final String EJB_JNDI_NAME = "java:global/CDIEAR/CDIEAR-war/NewSessionBean!org.mitre.test.newsessionbean.NewSessionBeanRemote";

    private NewSessionBeanRemote getSessionBean() {
        if (mSessionBean == null) {
            try {
                InitialContext ic = new InitialContext();
                mSessionBean = (NewSessionBeanRemote)ic.lookup(EJB_JNDI_NAME);
            } catch (Exception e) {
                e.printStackTrace();
                mSessionBean = null;
            }
        }
        return mSessionBean;
    }

    public String remoteBusinessMethod() {
        return getSessionBean().remoteBusinessMethod();
    }
}
